using FWLAZ_Web.Data;

namespace FWLAZ_Web.Objects
{
    public class QuestionAnswer
    {
        public Question question { get; set; }
        public List<Answer> GivenAnswers { get; set; } = new();

        public bool IsCorrect
        {
            get
            {
                return GivenAnswers.All(a => a.IsCorrect);
            }
        }

        public QuestionAnswer(Question question)
        {
            this.question = question;
        }
    }
}
